mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object System.IDisposable Abstract base class for all cryptographic asymmetric algorithms. Available algorithms include:
To be added
- Constructor
  Called from constructor of derived class.
  To be added
  1.0.5000.0
  2.0.0.0
- Method
  System.Void To be added To be added 1.0.5000.0 2.0.0.0
- Method
  System.Security.Cryptography.AsymmetricAlgorithm Creates the default implementation of the default asymmetric algorithm (). To be added: an object of type 'AsymmetricAlgorithm' To be added 1.0.5000.0 2.0.0.0
- Method
  System.Security.Cryptography.AsymmetricAlgorithm `` Specifies which derived class to create. Creates a specific implementation of the given asymmetric algorithm. To be added: an object of type 'AsymmetricAlgorithm' To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void `` To be added: an object of type 'bool' To be added To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void `` To be added: an object of type 'string' Reconstructs the AsymmetricAlgorithm object from an XML string. To be added 1.0.5000.0 2.0.0.0
- Property
  System.String Gets the key exchange algorithm. To be added: an object of type 'string' To be added 1.0.5000.0 2.0.0.0
- Property
  System.Int32 Gets or sets the actual key size. To be added. To be added. 1.0.5000.0 2.0.0.0
- Field
  System.Int32 The size (in bits) of the key pair used by the asymmetric algorithm. To be added 1.0.5000.0 2.0.0.0
- Property
  System.Security.Cryptography.KeySizes[] Gets all legal key sizes for the algorithm. To be added: an object of type 'KeySizes []' To be added 1.0.5000.0 2.0.0.0
- Field
  System.Security.Cryptography.KeySizes[] Specifies the key sizes that are supported by the asymmetric algorithm. To be added 1.0.5000.0 2.0.0.0
- Property
  System.String Gets the signature algorithm. To be added: an object of type 'string' To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void To be added. To be added. 1.0.5000.0 2.0.0.0
- Method
  System.String `` To be added: an object of type 'bool' Returns an XML string representation the current AsymmetricAlgorithm object. To be added: an object of type 'string' To be added 1.0.5000.0 2.0.0.0
System.Runtime.InteropServices.ComVisible(true)